# Content API for Shopping . orderreturns

## Instance Methods

Retrieves an order return from your Merchant Center account.

Lists order returns in your Merchant Center account.

Retrieves the next page of results.

### Method Details

`get(merchantId, returnId)`

    Retrieves an order return from your Merchant Center account.

    Args:
      merchantId: string, The ID of the account that manages the order. This cannot be a multi-client account. (required)
      returnId: string, Merchant order return ID generated by Google. (required)

    Returns:
      An object of the form:

        { # Order return. Production access (all methods) requires the order manager role. Sandbox access does not.
        "creationDate": "A String", # The date of creation of the return, in ISO 8601 format.
        "merchantOrderId": "A String", # Merchant defined order ID.
        "orderId": "A String", # Google order ID.
        "orderReturnId": "A String", # Order return ID generated by Google.
        "returnItems": [ # Items of the return.
          {
            "customerReturnReason": { # The reason that the customer chooses to return an item.
              "description": "A String", # Description of the reason.
              "reasonCode": "A String", # Code of the return reason.
                  #
                  # Acceptable values are:
                  # - "`betterPriceFound`"
                  # - "`changedMind`"
                  # - "`damagedOrDefectiveItem`"
                  # - "`didNotMatchDescription`"
                  # - "`doesNotFit`"
                  # - "`expiredItem`"
                  # - "`incorrectItemReceived`"
                  # - "`noLongerNeeded`"
                  # - "`notSpecified`"
                  # - "`orderedWrongItem`"
                  # - "`other`"
                  # - "`qualityNotExpected`"
                  # - "`receivedTooLate`"
                  # - "`undeliverable`"
            },
            "itemId": "A String", # Product level item ID. If the returned items are of the same product, they will have the same ID.
            "merchantReturnReason": { # The reason that merchant chooses to accept a return item.
              "description": "A String", # Description of the reason.
              "reasonCode": "A String", # Code of the refund reason.
                  #
                  # Acceptable values are:
                  # - "`adjustment`"
                  # - "`autoPostInternal`"
                  # - "`autoPostInvalidBillingAddress`"
                  # - "`autoPostNoInventory`"
                  # - "`autoPostPriceError`"
                  # - "`autoPostUndeliverableShippingAddress`"
                  # - "`couponAbuse`"
                  # - "`courtesyAdjustment`"
                  # - "`customerCanceled`"
                  # - "`customerDiscretionaryReturn`"
                  # - "`customerInitiatedMerchantCancel`"
                  # - "`customerSupportRequested`"
                  # - "`deliveredLateByCarrier`"
                  # - "`deliveredTooLate`"
                  # - "`expiredItem`"
                  # - "`failToPushOrderGoogleError`"
                  # - "`failToPushOrderMerchantError`"
                  # - "`failToPushOrderMerchantFulfillmentError`"
                  # - "`failToPushOrderToMerchant`"
                  # - "`failToPushOrderToMerchantOutOfStock`"
                  # - "`feeAdjustment`"
                  # - "`invalidCoupon`"
                  # - "`lateShipmentCredit`"
                  # - "`malformedShippingAddress`"
                  # - "`merchantDidNotShipOnTime`"
                  # - "`noInventory`"
                  # - "`orderTimeout`"
                  # - "`other`"
                  # - "`paymentAbuse`"
                  # - "`paymentDeclined`"
                  # - "`priceAdjustment`"
                  # - "`priceError`"
                  # - "`productArrivedDamaged`"
                  # - "`productNotAsDescribed`"
                  # - "`promoReallocation`"
                  # - "`qualityNotAsExpected`"
                  # - "`returnRefundAbuse`"
                  # - "`shippingCostAdjustment`"
                  # - "`shippingPriceError`"
                  # - "`taxAdjustment`"
                  # - "`taxError`"
                  # - "`undeliverableShippingAddress`"
                  # - "`unsupportedPoBoxAddress`"
                  # - "`wrongProductShipped`"
            },
            "product": { # Product data from the time of the order placement.
              "brand": "A String", # Brand of the item.
              "channel": "A String", # The item's channel (online or local).
                  #
                  # Acceptable values are:
                  # - "`local`"
                  # - "`online`"
              "condition": "A String", # Condition or state of the item.
                  #
                  # Acceptable values are:
                  # - "`new`"
                  # - "`refurbished`"
                  # - "`used`"
              "contentLanguage": "A String", # The two-letter ISO 639-1 language code for the item.
              "fees": [ # Associated fees at order creation time.
                {
                  "amount": { # Amount of the fee.
                    "currency": "A String", # The currency of the price.
                    "value": "A String", # The price represented as a number.
                  },
                  "name": "A String", # Name of the fee.
                },
              ],
              "gtin": "A String", # Global Trade Item Number (GTIN) of the item.
              "id": "A String", # The REST ID of the product.
              "imageLink": "A String", # URL of an image of the item.
              "itemGroupId": "A String", # Shared identifier for all variants of the same product.
              "mpn": "A String", # Manufacturer Part Number (MPN) of the item.
              "offerId": "A String", # An identifier of the item.
              "price": { # Price of the item.
                "currency": "A String", # The currency of the price.
                "value": "A String", # The price represented as a number.
              },
              "shownImage": "A String", # URL to the cached image shown to the user when order was placed.
              "targetCountry": "A String", # The CLDR territory code of the target country of the product.
              "title": "A String", # The title of the product.
              "variantAttributes": [ # Variant attributes for the item. These are dimensions of the product, such as color, gender, material, pattern, and size. You can find a comprehensive list of variant attributes here.
                {
                  "dimension": "A String", # The dimension of the variant.
                  "value": "A String", # The value for the dimension.
                },
              ],
            },
            "returnShipmentIds": [ # IDs of the return shipments that this return item belongs to.
              "A String",
            ],
            "state": "A String", # State of the item.
                #
                # Acceptable values are:
                # - "`canceled`"
                # - "`new`"
                # - "`received`"
                # - "`refunded`"
                # - "`rejected`"
          },
        ],
        "returnShipments": [ # Shipments of the return.
          {
            "creationDate": "A String", # The date of creation of the shipment, in ISO 8601 format.
            "deliveryDate": "A String", # The date of delivery of the shipment, in ISO 8601 format.
            "returnMethodType": "A String", # Type of the return method.
                #
                # Acceptable values are:
                # - "`byMail`"
                # - "`contactCustomerSupport`"
                # - "`returnless`"
            "shipmentId": "A String", # Shipment ID generated by Google.
            "shipmentTrackingInfos": [ # Tracking information of the shipment. One return shipment might be handled by several shipping carriers sequentially.
              {
                "carrier": "A String", # The shipping carrier that handles the package.
                    #
                    # Acceptable values are:
                    # - "`boxtal`"
                    # - "`bpost`"
                    # - "`chronopost`"
                    # - "`colisPrive`"
                    # - "`colissimo`"
                    # - "`cxt`"
                    # - "`deliv`"
                    # - "`dhl`"
                    # - "`dpd`"
                    # - "`dynamex`"
                    # - "`eCourier`"
                    # - "`easypost`"
                    # - "`efw`"
                    # - "`fedex`"
                    # - "`fedexSmartpost`"
                    # - "`geodis`"
                    # - "`gls`"
                    # - "`googleCourier`"
                    # - "`gsx`"
                    # - "`jdLogistics`"
                    # - "`laPoste`"
                    # - "`lasership`"
                    # - "`manual`"
                    # - "`mpx`"
                    # - "`onTrac`"
                    # - "`other`"
                    # - "`tnt`"
                    # - "`uds`"
                    # - "`ups`"
                    # - "`usps`"
                "trackingNumber": "A String", # The tracking number for the package.
              },
            ],
            "shippingDate": "A String", # The date of shipping of the shipment, in ISO 8601 format.
            "state": "A String", # State of the shipment.
                #
                # Acceptable values are:
                # - "`completed`"
                # - "`new`"
                # - "`shipped`"
                # - "`undeliverable`"
                # - "`pending`"
          },
        ],
      }

`list(merchantId, createdEndDate=None, createdStartDate=None, maxResults=None, orderBy=None, pageToken=None)`

    Lists order returns in your Merchant Center account.

    Args:
      merchantId: string, The ID of the account that manages the order. This cannot be a multi-client account. (required)
      createdEndDate: string, Obtains order returns created before this date (inclusively), in ISO 8601 format.
      createdStartDate: string, Obtains order returns created after this date (inclusively), in ISO 8601 format.
      maxResults: integer, The maximum number of order returns to return in the response, used for paging. The default value is 25 returns per page, and the maximum allowed value is 250 returns per page.
      orderBy: string, Return the results in the specified order.
        Allowed values
          returnCreationTimeAsc -
          returnCreationTimeDesc -
      pageToken: string, The token returned by the previous request.

    Returns:
      An object of the form:

        {
        "kind": "content#orderreturnsListResponse", # Identifies what kind of resource this is. Value: the fixed string "content#orderreturnsListResponse".
        "nextPageToken": "A String", # The token for the retrieval of the next page of returns.
        "resources": [
          { # Order return. Production access (all methods) requires the order manager role. Sandbox access does not.
            "creationDate": "A String", # The date of creation of the return, in ISO 8601 format.
            "merchantOrderId": "A String", # Merchant defined order ID.
            "orderId": "A String", # Google order ID.
            "orderReturnId": "A String", # Order return ID generated by Google.
            "returnItems": [ # Items of the return.
              {
                "customerReturnReason": { # The reason that the customer chooses to return an item.
                  "description": "A String", # Description of the reason.
                  "reasonCode": "A String", # Code of the return reason.
                      #
                      # Acceptable values are:
                      # - "`betterPriceFound`"
                      # - "`changedMind`"
                      # - "`damagedOrDefectiveItem`"
                      # - "`didNotMatchDescription`"
                      # - "`doesNotFit`"
                      # - "`expiredItem`"
                      # - "`incorrectItemReceived`"
                      # - "`noLongerNeeded`"
                      # - "`notSpecified`"
                      # - "`orderedWrongItem`"
                      # - "`other`"
                      # - "`qualityNotExpected`"
                      # - "`receivedTooLate`"
                      # - "`undeliverable`"
                },
                "itemId": "A String", # Product level item ID. If the returned items are of the same product, they will have the same ID.
                "merchantReturnReason": { # The reason that merchant chooses to accept a return item.
                  "description": "A String", # Description of the reason.
                  "reasonCode": "A String", # Code of the refund reason.
                      #
                      # Acceptable values are:
                      # - "`adjustment`"
                      # - "`autoPostInternal`"
                      # - "`autoPostInvalidBillingAddress`"
                      # - "`autoPostNoInventory`"
                      # - "`autoPostPriceError`"
                      # - "`autoPostUndeliverableShippingAddress`"
                      # - "`couponAbuse`"
                      # - "`courtesyAdjustment`"
                      # - "`customerCanceled`"
                      # - "`customerDiscretionaryReturn`"
                      # - "`customerInitiatedMerchantCancel`"
                      # - "`customerSupportRequested`"
                      # - "`deliveredLateByCarrier`"
                      # - "`deliveredTooLate`"
                      # - "`expiredItem`"
                      # - "`failToPushOrderGoogleError`"
                      # - "`failToPushOrderMerchantError`"
                      # - "`failToPushOrderMerchantFulfillmentError`"
                      # - "`failToPushOrderToMerchant`"
                      # - "`failToPushOrderToMerchantOutOfStock`"
                      # - "`feeAdjustment`"
                      # - "`invalidCoupon`"
                      # - "`lateShipmentCredit`"
                      # - "`malformedShippingAddress`"
                      # - "`merchantDidNotShipOnTime`"
                      # - "`noInventory`"
                      # - "`orderTimeout`"
                      # - "`other`"
                      # - "`paymentAbuse`"
                      # - "`paymentDeclined`"
                      # - "`priceAdjustment`"
                      # - "`priceError`"
                      # - "`productArrivedDamaged`"
                      # - "`productNotAsDescribed`"
                      # - "`promoReallocation`"
                      # - "`qualityNotAsExpected`"
                      # - "`returnRefundAbuse`"
                      # - "`shippingCostAdjustment`"
                      # - "`shippingPriceError`"
                      # - "`taxAdjustment`"
                      # - "`taxError`"
                      # - "`undeliverableShippingAddress`"
                      # - "`unsupportedPoBoxAddress`"
                      # - "`wrongProductShipped`"
                },
                "product": { # Product data from the time of the order placement.
                  "brand": "A String", # Brand of the item.
                  "channel": "A String", # The item's channel (online or local).
                      #
                      # Acceptable values are:
                      # - "`local`"
                      # - "`online`"
                  "condition": "A String", # Condition or state of the item.
                      #
                      # Acceptable values are:
                      # - "`new`"
                      # - "`refurbished`"
                      # - "`used`"
                  "contentLanguage": "A String", # The two-letter ISO 639-1 language code for the item.
                  "fees": [ # Associated fees at order creation time.
                    {
                      "amount": { # Amount of the fee.
                        "currency": "A String", # The currency of the price.
                        "value": "A String", # The price represented as a number.
                      },
                      "name": "A String", # Name of the fee.
                    },
                  ],
                  "gtin": "A String", # Global Trade Item Number (GTIN) of the item.
                  "id": "A String", # The REST ID of the product.
                  "imageLink": "A String", # URL of an image of the item.
                  "itemGroupId": "A String", # Shared identifier for all variants of the same product.
                  "mpn": "A String", # Manufacturer Part Number (MPN) of the item.
                  "offerId": "A String", # An identifier of the item.
                  "price": { # Price of the item.
                    "currency": "A String", # The currency of the price.
                    "value": "A String", # The price represented as a number.
                  },
                  "shownImage": "A String", # URL to the cached image shown to the user when order was placed.
                  "targetCountry": "A String", # The CLDR territory code of the target country of the product.
                  "title": "A String", # The title of the product.
                  "variantAttributes": [ # Variant attributes for the item. These are dimensions of the product, such as color, gender, material, pattern, and size. You can find a comprehensive list of variant attributes here.
                    {
                      "dimension": "A String", # The dimension of the variant.
                      "value": "A String", # The value for the dimension.
                    },
                  ],
                },
                "returnShipmentIds": [ # IDs of the return shipments that this return item belongs to.
                  "A String",
                ],
                "state": "A String", # State of the item.
                    #
                    # Acceptable values are:
                    # - "`canceled`"
                    # - "`new`"
                    # - "`received`"
                    # - "`refunded`"
                    # - "`rejected`"
              },
            ],
            "returnShipments": [ # Shipments of the return.
              {
                "creationDate": "A String", # The date of creation of the shipment, in ISO 8601 format.
                "deliveryDate": "A String", # The date of delivery of the shipment, in ISO 8601 format.
                "returnMethodType": "A String", # Type of the return method.
                    #
                    # Acceptable values are:
                    # - "`byMail`"
                    # - "`contactCustomerSupport`"
                    # - "`returnless`"
                "shipmentId": "A String", # Shipment ID generated by Google.
                "shipmentTrackingInfos": [ # Tracking information of the shipment. One return shipment might be handled by several shipping carriers sequentially.
                  {
                    "carrier": "A String", # The shipping carrier that handles the package.
                        #
                        # Acceptable values are:
                        # - "`boxtal`"
                        # - "`bpost`"
                        # - "`chronopost`"
                        # - "`colisPrive`"
                        # - "`colissimo`"
                        # - "`cxt`"
                        # - "`deliv`"
                        # - "`dhl`"
                        # - "`dpd`"
                        # - "`dynamex`"
                        # - "`eCourier`"
                        # - "`easypost`"
                        # - "`efw`"
                        # - "`fedex`"
                        # - "`fedexSmartpost`"
                        # - "`geodis`"
                        # - "`gls`"
                        # - "`googleCourier`"
                        # - "`gsx`"
                        # - "`jdLogistics`"
                        # - "`laPoste`"
                        # - "`lasership`"
                        # - "`manual`"
                        # - "`mpx`"
                        # - "`onTrac`"
                        # - "`other`"
                        # - "`tnt`"
                        # - "`uds`"
                        # - "`ups`"
                        # - "`usps`"
                    "trackingNumber": "A String", # The tracking number for the package.
                  },
                ],
                "shippingDate": "A String", # The date of shipping of the shipment, in ISO 8601 format.
                "state": "A String", # State of the shipment.
                    #
                    # Acceptable values are:
                    # - "`completed`"
                    # - "`new`"
                    # - "`shipped`"
                    # - "`undeliverable`"
                    # - "`pending`"
              },
            ],
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.